<?php
/*
namespace App\Imports;

use App\Models\User;
use Illuminate\Support\Facades\Hash;
use Maatwebsite\Excel\Concerns\ToModel;

class RoutedetailsImport implements ToModel
{
    public function  __construct($iRouteId)
    {
        $this->iRouteId= $iRouteId;
    }
    public function model(array $row)
    {
        //echo '<pre>';print_r($row);die;
        foreach($row as $data){
            echo '<pre>';print_r($data);
        }
        return new Routedetails([
            'route_id'     => $iRouteId,
            'latitude'     => $row[0],
            'longitude'    => $row[1]
        ]);
    }
}
*/
namespace App\Imports;

use App\User;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Redirect;

class RoutepolygonImport implements ToCollection
{
    public function  __construct($iRouteId)
    {
        $this->iRouteId= $iRouteId;
    }
    public function collection(Collection $rows)
    {
        DB::delete('DELETE FROM route_polygon WHERE route_id=?',[$this->iRouteId]);
        foreach ($rows as $row) 
        {
            $first_col  = str_replace( ' ', '', $row[1] );
            $second_col = str_replace( ' ', '', $row[2] );
            if(!empty($first_col) && !empty($second_col)){
                DB::insert('INSERT INTO route_polygon (route_id,latitude,longitude) VALUES (?,?,?)',[$this->iRouteId,$first_col,$second_col]  );
            } 
        } 
        //die;
    }
}