<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
//use App\Models\LeaveModel;
use App\Libraries\Mysecurity;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\DB;
use Maatwebsite\Excel\Facades\Excel;
use App\Http\Controllers\Controller;
use App\Models\Employee;

class LeaveController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function __construct()
    {
        
        //$this->route_model = new RouteModel();

        $module_link = request()->segments(0);
        if(isset($module_link[0])){
            $module_link = $module_link[0];
            $this->mysecurity = new Mysecurity();
            $this->module_id = $this->mysecurity->get_module_id_by_name($module_link);
            $this->middleware(function ($request, $next){
                $this->mysecurity->check_access(Session::get('logged_in')['id'],$this->module_id,1);
        
                return $next($request);
            });
        }
    }

    public function leave(Request $request)
    {
        $this->mysecurity->check_access(Session::get('logged_in')['id'],$this->module_id,1);
        $aData = array();
        $aData['search'] = '';
        $aData['id'] = 0;
        $aData['sDate'] =  date('d-m-Y');
        $aData['error'] = '';
        $aData['success'] = '';
        if($request->form_type=='save_form'){  
                //dd($request->Pakage_id);     
            if(!empty($request->emp_id) && !empty($request->sDate)){
                if(strtotime($request->sDate) < strtotime('now')){
                    $aData['id'] = $request->emp_id;
                    $aData['sDate'] = $request->sDate;
                    $sDate = date('Y-m-d',strtotime($request->sDate));
                    $iAttendanceDay = strtotime("$sDate 00:00:00");
                    $iInTime = strtotime("$sDate 8:00:00");
                    $iOutTime = strtotime('+ 8 hours',$iInTime);
                    //echo $iAttendanceDay;die;
                    $sSQL = 'select id,success,Pakage_id from users_attendance where attendance_date='.$iAttendanceDay.' and user_id='.$aData['id'];
                    $rResult = DB::select( DB::raw($sSQL), array());
                    //dd($rResult);
                    $logID = Session::get('logged_in.id');
                    if(empty($rResult)){
                        // getting Pakage of employee
                        $sql = 'SELECT Pakage_id FROM biometric_users WHERE id='.$aData['id'];
                        $rUser = DB::select( DB::raw($sql), array());
                        if(!empty($rUser)){
                            
                            $sSQL = 'INSERT INTO users_attendance(user_id,Pakage_id,attendance_date,inward_datetime,outword_datetime,success,is_leave,updated_by,created_date) values('.$aData['id'].','.$rUser[0]->Pakage_id.','.$iAttendanceDay.','.$iInTime.','.$iOutTime.',1,1,'.$logID.','.strtotime('now').')';
                            DB::statement($sSQL);
                            $aData['success'] = 'Leave added successfully'; 
                        }
                       
                    }else{
                        //dd($rResult);
                        if($rResult[0]->success == 1){
                            $aData['error'] = "Employee already present on same day!";
                        }else{
                            $sSQL = 'UPDATE users_attendance SET inward_datetime='.$iInTime.',outword_datetime='.$iOutTime.',success=1,is_leave=1,updated_by='.$logID.',created_date='.strtotime('now').' WHERE id='.$rResult[0]->id;
                            DB::statement($sSQL);
                            $aData['success'] = 'Leave updated successfully'; 
                        }
                    }
                }else{
                    $aData['error'] = "Future date is now allowed!";
                }
                
            }else{
                $aData['error'] = "Please select employee and date!";
            }
        }
        $aData['is_active'] = 1;
        $aData['aEmployee'] = Employee::get($aData)->orderBy('id', 'DESC')->get();
        return view('leave_management.index',$aData);
    }

}
