<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Session;
use App\Libraries\Mysecurity;

class TrackCheckpointModel extends Model
{
    use HasFactory;
  
    public static function track_all_vehicles($aSearch){
		//print_r($aSearch);

		$return_data = array();
		$current_day = date('Ymd',strtotime('now'));

		$sSQL = 'SELECT drd.*,rm.route_name as route_name,(SELECT vehicle_number FROM vehicle_master WHERE id = drd.vehicle_number) as vehicle_name FROM daily_route_details drd LEFT JOIN route_master rm ON rm.id = drd.route_id WHERE drd.current_day = '.$current_day;

        if(!empty($aSearch['Pakage_id'])){
			$sSQL .= ' AND rm.Pakage_id = '.$aSearch['Pakage_id'];
		}

		if(Session::has('logged_in.superuser') && Session::get('logged_in.superuser') !=1){
			$session_div = Session::get('Pakages'); 
			if(!empty($session_div)){
				$str_div = implode(',',$session_div);
				$sSQL .= ' AND rm.Pakage_id IN ('.$str_div.')';
			}else {
				$sSQL .= ' AND 1=2';
			}
        }	
		//echo $sSQL; die;
		$rVRes = DB::select( DB::raw($sSQL), array());
         
		// $sSQL = 'SELECT ca.*,(SELECT vehicle_number FROM vehicle_master WHERE id = ca.vehicle_number) as vehicle_name FROM checkpoint_arrival ca WHERE ca.date = '.$current_day;
		// $sSQL .= ' ORDER BY id DESC LIMIT 0,1';
		// $aCAResultaray = DB::select( DB::raw($sSQL), array());
		
		// $aAllCheckpoints = array();
		// foreach($aCAResultaray as $aCA){
		// 	  $aAllCheckpoints[$aCA->vehicle_number][] = $aCA;
		// }
        //dd($aAllCheckpoints);
		foreach($rVRes as $aRes){

            $return_data[$aRes->vehicle_number]['vehicle_number'] = $aRes->vehicle_number;
			$return_data[$aRes->vehicle_number]['route_name'] = $aRes->route_name;
			$return_data[$aRes->vehicle_number]['vehicle_name'] = $aRes->vehicle_name;
            
			$sChkSql = 'SELECT * FROM checkpoint_arrival WHERE vehicle_number = '.$aRes->vehicle_number.' AND date = '.$current_day;
			$sChkSql .= ' ORDER BY id DESC LIMIT 0,1';
			$rChkRes = DB::select( DB::raw($sChkSql), array());
			if(!empty($rChkRes)){
				$arChkRes = collect($rChkRes)->first();	
              // dd($arChkRes);
				$date1 = strtotime($current_day.' '.$arChkRes->expected_time);
				$date2 = strtotime($current_day.' '.$arChkRes->actual_reach_time);
				//echo $date1.'<br>';
				$sign = '';
				if($date1 > $date2){
					$timestamp1 = $date1;
					$timestamp2 = $date2;
					$sign = '-';
				}else{
					$timestamp1 = $date2;
					$timestamp2 = $date1;
					$sign = '+';
				}

				$seconds =  $timestamp1 - $timestamp2;
				$second_with_sign = $sign.$seconds;

				$return_data[$aRes->vehicle_number]['seconds_with_sign'] = $second_with_sign;
				$achivedChk = TrackCheckpointModel::get_checkpoint($arChkRes->route_details_id,$arChkRes->route_id);
				$achivedChk['actual_reach_time'] =  $arChkRes->actual_reach_time;
				$return_data[$aRes->vehicle_number]['achived_chkpt'] = $achivedChk;
				$nextChkpt_no = $arChkRes['checkpoint']+1;
				//echo '<pre>'; print_r($achivedChk);
			}
			

		}die;
	}

	public static function get_checkpoint($route_details_id,$route_id){
		$sSql = 'SELECT * FROM route_checkpoints WHERE id = '.$route_details_id.' AND route_id = '.$route_id;
		$rRes =  DB::select( DB::raw($sSql), array());
		$Result = collect($rRes)->first();	
		return (array)$Result;
	}

    // public static function get_daily_weight_mngmt($aSearch){
    //     $return_data = array();
        
    //     if(!empty($aSearch['date'])){
	// 		$current_day = date('Ymd',strtotime($aSearch['date']));
	// 	}else{
	// 		$current_day = date('Ymd',strtotime('now'));
	// 	}

    //     $sVehicleIds = VehicleTrakingReportModel::get_valid_vehicles('','',$aSearch);
    //     //dd($sVehicleIds);
    //     $sSQL = 'SELECT 
	// 			(select vehicle_number from vehicle_master where id=wm.vehicle_number) as vehicle_number ,
	// 			wm.loaded_weight,
	// 			wm.unloaded_weight,
	// 			wm.net_weight,
	// 			wm.timestamp,
	// 			d.type,
	// 			wm.id
	// 		from weight_mngt wm  
	// 		LEFT JOIN route_master rm ON rm.id = wm.route_id LEFT JOIN daily_route_details d ON d.vehicle_number = wm.vehicle_number AND d.current_day = wm.current_day
	// 		WHERE wm.loaded_weight > 0 AND wm.current_day = '.$current_day;

    //     if(!empty($aSearch['Pakage_id'])){
    //         $sSQL .= ' AND rm.Pakage_id ='.$aSearch['Pakage_id'];        
    //     }
    //     if($aSearch['vehicle_id'] > 0){
    //         $sSQL .= ' AND wm.vehicle_number = '.$aSearch['vehicle_id'];
    //     }
    //     if($aSearch['vehicle_type_id'] > 0){
    //         $sSQL .= ' AND d.type = '.$aSearch['vehicle_type_id'];
    //     }
	// 	if(!empty($sVehicleIds)){
	// 		$sSQL .= ' AND wm.vehicle_number IN ('.$sVehicleIds.')';
	// 	}else{
	// 		$sSQL .= ' AND 1=2';
	// 	}	
    //     if(Session::has('logged_in.superuser') && Session::get('logged_in.superuser') !=1){
    //         $session_div = Session::get('Pakages'); 
    //         if(!empty($session_div)){
    //             $str_div = implode(',',$session_div);
    //             $sSQL .= ' AND rm.Pakage_id IN ('.$str_div.')';
    //         }else {
    //             $sSQL .= ' AND 1=2';
    //         }
    //     }
    
    //     $sSQL .= ' ORDER BY wm.`timestamp` DESC';
    //     $rResult =  DB::select( DB::raw($sSQL), array());

    //     foreach($rResult as $aRes){
    //         $return_data[] = $aRes;
    //     }
    //    // dd($return_data);
	// 	return $return_data;
       
    // }

	// $rVRes = DB::select( DB::raw($presentSql));
	// if(!empty($rVRes)){
	// 	$Result = collect($rVRes)->first();
	// 	$count = $Result->presentCount;
	// }
	// return $count;
  

}

