@extends('layout.index')
@section('title', 'User Dashboard')
@section('content')

<style>

.custom-loader{
   width: -webkit-fill-available;
   height: 30%;
   position: absolute;
   display: flex;
   align-items: center;
   justify-content: center;
   z-index: 9;
   }

.code-red{
   border: 1px solid #fc7575; background-color: #fff1f1;
}

.code-green{
   border: 1px solid #75fcc1; background-color: #f1fffa;
}


.code-red:hover, .code-green:hover{
    box-shadow: 0 8px 16px 0 rgb(0 0 0 / 10%) !important;
}

</style>
<!-- header dashboard -->
     
<!-- end -->

      <!-- Dashboard Ecommerce Starts -->

    

      <!-- Dashboard Ecommerce ends -->

       <section >
         <div class="row match-height pt-2">
            <div class="col-sm-2 col-md-2 col-12">
               <div class="card card-congratulation-medal">
                     <div class="card-body">
                     <h3>Welcome,</h3>
                     <h3 class="mb-1"><?php echo $logged_in['firstname'].' '.$logged_in['lastname']; ?></h3>
                     <p class="card-text mb-0"><?php echo $logged_in['email']; ?></p>
                     <div class="row">
                        <?php
                        if(Session::get('logged_in')['superuser'] == 1 || Session::get('logged_in')['subadmin'] == 1){
                           ?>
                           <div class="card-body">
                        <select class="select2 form-select" id="Pakage_id" name="Pakage_id" onchange="get_package_val_fun();">
                           <option value="">--- Select Pakage ---</option>
                           <?php
                              if(!empty($pakages_all)){

                              foreach ($pakages_all as $value) {
                                 
                           ?>
                           <option value="<?php echo $value->id ?>" <?php echo ($value->id == $package_id)?'selected':''; ?>><?php echo $value->Pakage_name ?></option>
                           <?php 
                             }
                           }
                        ?>
                        </select>
                     </div>
                        <?php
                           }else{
                             if($Pakages){
                              foreach ($Pakages as $value) {
                               
                               ?>
                              <div class="col-sm-6">
                                 <h4 class="mb-75 mt-2 pt-50"><?php echo $value->Pakage_name; ?></h4>                           
                              </div>
                              <?php
                                }
                               }
                           }
                        ?>
                     </div>
                     <!-- <img src="{{ asset('app-assets/images/logo/logo.png') }}" class="congratulation-medal pt-1" alt="Medal Pic" style="width: 100px;" />    -->
                  </div>
                  
               </div>
            </div>
            <div class="col-xl-10 col-md-10 col-12">
               <div class="card card-statistics">
                  <div class="card-header">
                     <h4 class="card-title">Statistics</h4>
                     <div class="mb-xl-0" style="margin-right: 20px;">
                        <input type="text" id="text_date" class="form-control" name="text_date" value="<?php echo $txt_date; ?>" placeholder="Date" onchange="current_date_change_fun()" readonly/>
                     </div>
                  </div>
                  <div class="card-body statistics-body">
                     <div class="row" style="justify-content: space-around;">

                           <div class=" mb-2 mb-xl-0">
                              <div class="d-flex flex-row">
                                 <div class="avatar bg-light-primary me-2" style="height: fit-content;">
                                       <div class="avatar-content">
                                          <i data-feather="user" class="avatar-icon"></i>
                                       </div>
                                 </div>
                                 <div class="my-auto px-1">
                                       <h4 class="fw-bolder mb-1">Empolyee</h4>
                                       <!-- <p class="card-text font-small-3 mb-0">Empolyee</p> -->
                                       <h4 class="fw-bolder mb-0"><?php echo ($employee_count['present_count'])?$employee_count['present_count']:0; ?> / <?php echo $employee_count['total_count']; ?></h4>
                                        <p class="card-text font-small-3 mb-0">Present / Total</p>
                                 </div>
                              </div>
                           </div>

                           <div class=" mb-2 mb-xl-0">
                              <div class="d-flex flex-row">
                                 <div class="avatar bg-light-warning me-2" style="height: fit-content;">
                                       <div class="avatar-content">
                                          <i data-feather="truck" class="avatar-icon"></i>
                                       </div>
                                 </div>
                                 <div class="my-auto px-1">
                                       <h4 class="fw-bolder mb-1">Vehicle</h4>
                                       <!-- <p class="card-text font-small-3 mb-0">Empolyee</p> -->
                                       <h4 class="fw-bolder mb-0"><?php echo ($vehicle_count['present_count'])?$vehicle_count['present_count']:0; ?> / <?php echo $vehicle_count['total_count']; ?></h4>
                                        <p class="card-text font-small-3 mb-0">Present / Total</p>
                                 </div>
                              </div>
                           </div>

                           <div class="">
                              <div class="d-flex flex-row">
                                 <div class="avatar bg-light-info me-2" style="height: fit-content;">
                                       <div class="avatar-content">
                                          <i data-feather="clock" class="avatar-icon"></i>
                                       </div>
                                 </div>
                                 <div class="my-auto px-1">
                                      <h4 class="fw-bolder mb-1">Total Hours</h4>
                                       <!-- <p class="card-text font-small-3 mb-0">Empolyee</p> -->
                                       <h4 class="fw-bolder mb-0" id="total_hours"></h4>
                                        <p class="card-text font-small-3 mb-0">HH:MM:SS</p>
                                 </div>
                              </div>
                           </div>
                           <div class=" mb-2 mb-sm-0">
                              <div class="d-flex flex-row">
                                 <div class="avatar bg-light-danger me-2" style="height: fit-content;">
                                       <div class="avatar-content">
                                          <i data-feather="map-pin" class="avatar-icon"></i>
                                       </div>
                                 </div>
                                 <div class="my-auto px-1">
                                       <h4 class="fw-bolder mb-1">Distance (KM)</h4>
                                       <!-- <p class="card-text font-small-3 mb-0">Empolyee</p> -->
                                       <h4 class="fw-bolder mb-0" id="distance_id"></h4>
                                        <p class="card-text font-small-3 mb-0">Completed / Total</p>
                                 </div>
                              </div>
                           </div>
                           <div class="">
                              <div class="d-flex flex-row">
                                 <div class="avatar bg-light-success me-2" style="height: fit-content;">
                                       <div class="avatar-content">
                                          <i data-feather="map" class="avatar-icon"></i>
                                       </div>
                                 </div>
                                 <div class="my-auto px-1">
                                      <h4 class="fw-bolder mb-1">Route Coverage</h4>
                                       <!-- <p class="card-text font-small-3 mb-0">Empolyee</p> -->
                                       <h4 class="fw-bolder mb-0" id="root_coverage"></h4>
                                        <p class="card-text font-small-3 mb-0">Passes Percentage</p>
                                 </div>
                              </div>
                           </div>
                     </div>
                  </div>
               </div>
         </div>
         </div>
      </section>   
      
      <!-- Start:loader -->
         <div class="custom-loader" style="display: none;">
            <img src="{{ asset('app-assets/images/pages/Dual Ring-1s-200px.gif') }}" alt="loading..." class="loading-image ajax-loader custom-loader" style="width: 80px;height: 80px;background: transparent;">
         </div>
      <!-- End:loader -->
      <input type="hidden" name="accordion_flag" id="accordion_flag">
      <input type="hidden" name="custom_accordion_icon_val" id="custom_accordion_icon_val">
      <input type="hidden" name="accordion_flag_id" id="accordion_flag_id">
      <section id="vehicle_data">
         
      </section>


<script src={{ asset('app-assets/js/scripts/extensions/ext-component-blockui.js')}}></script>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
 <link rel="stylesheet" href="//code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
 <script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
 <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>

<script>

   function collapse_name(id){

      if($('#collapse'+id).hasClass('show')){
         
        $('#custom-accordion-icon'+id).toggleClass('rotate2');

            if($('#collapse'+id).hasClass('show')){
              $('#custom-accordion-icon'+id).toggleClass('rotate');
              $('#custom-accordion-icon'+id).removeClass('rotate2');
            }

         $('#accordion_flag').val('');
         $('#accordion_flag_id').val(id);
      }
      else{
        
          $('#custom-accordion-icon'+id).toggleClass('rotate');
         
         $('#accordion_flag').val('show');
         $('#accordion_flag_id').val(id);
      }


      if($('#custom-accordion-icon'+id).hasClass('rotate')){

          var i_no = $('#i_no').val();

          for (var i = 1; i <= i_no; i++) {
             
             if(i == id && $('#custom-accordion-icon'+id).hasClass('rotate')){
                
               $('#custom_accordion_icon_val').val('rotate');

             }else{
                
                $('#custom-accordion-icon'+i).removeClass('rotate');
             }
          }
      }else{
         $('#custom_accordion_icon_val').val('');
      }
   }

   function get_package_val_fun(){
      var Pakage_id     = $('#Pakage_id').val();
      
      if(Pakage_id !=''){
         var url = "{{ url('/user_dashboard') }}";

         window.location.href = url + "/" + Pakage_id;
      }
   }
    
     setInterval(get_data_all, 60000);

    get_data_all();

    function get_data_all(){
        
        var user_dashbord      = 'user_dashbord';
        var Pakage_id          = $('#Pakage_id').val();
        var txt_date           = '<?php echo $txt_date; ?>';

        var accordion_flag     = $('#accordion_flag').val();
        var accordion_icon_val = $('#custom_accordion_icon_val').val();
        var accordion_flag_id  = $('#accordion_flag_id').val();

        $('.custom-loader').show();

        $.ajax({
              url: "{{ url('/get_dashboard_data') }} ",
              type: "post",
              data:{"_token": "{{ csrf_token() }}","user_dashbord":user_dashbord,"Pakage_id":Pakage_id,"txt_date":txt_date,"accordion_flag":accordion_flag,"accordion_icon_val":accordion_icon_val,"accordion_flag_id":accordion_flag_id},
              success: function(response){
                  
                  var res = JSON.parse(response); 
                  $('#vehicle_data').html(res.html);
                  $('#distance_id').html(res.total_distance_all);
                  $('#root_coverage').html(res.total_passes_per);
                  $('#total_hours').html(res.total_time_all);
                  $('.custom-loader').hide();

                  //console.log(res);

                  for (var i = 0; i < res.perti_tot_all.length; i++) {
                     res.perti_tot_all[i];

                     //console.log(res.perti_tot_all[i]);

                     $('#perti_time_tot'+res.perti_tot_all[i].i_no).html(res.perti_tot_all[i].perti_time_tot);
                     $('#perti_distance_tot'+res.perti_tot_all[i].i_no).html(res.perti_tot_all[i].perti_distance_tot);
                     $('#perti_passes_tot'+res.perti_tot_all[i].i_no).html(res.perti_tot_all[i].perti_passes_tot);

                      if(res.perti_tot_all[i].collapse_color == 1){
                         
                         $('#collapse_color'+res.perti_tot_all[i].i_no).addClass('green');
                      }else{

                        $('#collapse_color'+res.perti_tot_all[i].i_no).addClass('red');
                      }
                  }
              }
           }); 
    }

    $("#text_date").datepicker({
        changeMonth: true,
        changeYear: true,
        dateFormat: 'dd-mm-yy'
    });

    function current_date_change_fun(){

       var current_date = $('#text_date').val();
   
       $.ajax({
              url: "{{ url('/get_to_change_current_date') }} ",
              type: "post",
              data:{"_token": "{{ csrf_token() }}","current_date":current_date},
              success: function(response){
                  location.reload();
              },
              error: function(){                 
                 alert("Error while request..");
              }
           }); 
      
   }

</script> 
     
@endsection


