<?php $__env->startSection('title', 'Admin Dashboard'); ?>
<?php $__env->startSection('content'); ?>

<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.4/Chart.js"></script>

<style>

.custom-loader{
   width: -webkit-fill-available;
   height: 30%;
   position: absolute;
   display: flex;
   align-items: center;
   justify-content: center;
   z-index: 9;
   }

.code-red{
   border: 1px solid #fc7575; background-color: #fff1f1;
}

.code-green{
   border: 1px solid #75fcc1; background-color: #f1fffa;
}


.code-red:hover, .code-green:hover{
    box-shadow: 0 8px 16px 0 rgb(0 0 0 / 10%) !important;
}

</style>
<!-- header dashboard -->
     
<!-- end -->   

      <!-- Dashboard Ecommerce ends -->

       <section >

         <div class="row match-height pt-2">
            <!-- <div class="col-sm-4 col-md-4 col-12">
               <div class="card card-congratulation-medal">
                     <div class="card-body">
                        dgf
                     </div>
               </div>
            </div> -->
            <div class="col-xl-12 col-md-12 col-12">
               <div class="card card-statistics">
                  <div class="card-header">
                     <h4 class="card-title">Statistics</h4>
                     <div class="mb-xl-0" style="margin-right: 20px;">
                        <input type="text" id="text_date" class="form-control" name="text_date" value="<?php echo $txt_date; ?>" placeholder="Date" onchange="current_date_change_fun()" readonly/>
                     </div>
                  </div>
                  <div class="card-body statistics-body">
                     <div class="row" style="justify-content: space-around;">

                           <div class=" my-2 mb-xl-0">
                              <div class="d-flex flex-row">
                                 <div class="avatar bg-light-primary me-2" style="height: fit-content;">
                                       <div class="avatar-content">
                                          <i data-feather="user" class="avatar-icon"></i>
                                       </div>
                                 </div>
                                 <div class="my-auto px-1">
                                       <h4 class="fw-bolder mb-1" id="emp_present_id">0</h4>
                                       <h4 class="fw-bolder mb-0">Total Manpower Attendance</h4>
                                 </div>
                              </div>
                           </div>
                           <div class=" my-2 mb-xl-0">
                              <div class="d-flex flex-row">
                                 <div class="avatar bg-light-warning me-2" style="height: fit-content;">
                                       <div class="avatar-content">
                                          <i data-feather="truck" class="avatar-icon"></i>
                                       </div>
                                 </div>
                                 <div class="my-auto px-1">
                                       <h4 class="fw-bolder mb-1" id="veh_present_id">0</h4>
                                       <h4 class="fw-bolder mb-0">Total Vehicle Attendance</h4>
                                 </div>
                              </div>
                           </div>
                           <div class=" my-2 mb-sm-0">
                              <div class="d-flex flex-row">
                                 <div class="avatar bg-light-danger me-2" style="height: fit-content;">
                                       <div class="avatar-content">
                                          <i data-feather="map" class="avatar-icon"></i>
                                       </div>
                                 </div>
                                 <div class="my-auto px-1">
                                       <h4 class="fw-bolder mb-1" id="area_coverage_id">0</h4>
                                       <h4 class="fw-bolder mb-0">Total Route Coverage</h4>
                                 </div>
                              </div>
                           </div>
                           <div class="my-2">
                              <div class="d-flex flex-row">
                                 <div class="avatar bg-light-success me-2" style="height: fit-content;">
                                       <div class="avatar-content">
                                          <i data-feather="map-pin" class="avatar-icon"></i>
                                       </div>
                                 </div>
                                 <div class="my-auto px-1">
                                      <h4 class="fw-bolder mb-1" id="travel_distance_id">00:00:00</h4>
                                       <h4 class="fw-bolder mb-0">Total Travel Distance</h4>
                                 </div>
                              </div>
                           </div>
                           <div class="my-2">
                              <div class="d-flex flex-row">
                                 <div class="avatar bg-light-info me-2" style="height: fit-content;">
                                       <div class="avatar-content">
                                          <i data-feather="clock" class="avatar-icon"></i>
                                       </div>
                                 </div>
                                 <div class="my-auto px-1">
                                      <h4 class="fw-bolder mb-1" id="total_time_id">00:00:00</h4>
                                       <h4 class="fw-bolder mb-0">Total Time</h4>
                                 </div>
                              </div>
                           </div>
                     </div>
                  </div>
               </div>
         </div>
         </div>
      </section>   
      
      <!-- Start:loader -->
         <div class="custom-loader" style="display: none;">
            <img src="<?php echo e(asset('app-assets/images/pages/loader.gif')); ?>" alt="loading..." class="loading-image ajax-loader custom-loader" style="width: 80px;height: 80px;background: transparent;">
         </div>
      <!-- End:loader -->

      <section>
         <div class="" style="height: auto;">
              <div class="">
                  <div class="" style="display: flex;flex-wrap: wrap;">
                     <?php
                       
                       $emp_present_value_total = 0; 
                       $veh_present_value_total = 0; 
                       $area_coverage_total = 0; 
                       $travel_dis_total = 0; 
                       $total_time_all = 0;

                       $area_coverage_divide = 0; 

                     if(!empty($aPakage)){

                        $area_coverage_divide = count($aPakage);
  
                         foreach ($aPakage as $pakage) {
                          
                          $area_coverage_total += $area_coverage[$pakage->id];
                          $travel_dis_total    += $travel_dis[$pakage->id];
                          $total_time_all      += $total_time[$pakage->id];


                     $manallValueszero_tot = 0;
                     if(!empty($designation)){
                         $des_name_arr = [];
                         $emp_present_value_arr = [];
                         $manallValueszero = true;
                         $emp_present_value_total_perticuler = 0;
                         foreach ($designation as $des_val) {
                           
                           $emp_present_count = 0; 
                            
                           if(isset($emp_data[$pakage->id][$des_val->id]['present']) && !empty($emp_data[$pakage->id][$des_val->id]['present'])){
                              $emp_present_count = $emp_data[$pakage->id][$des_val->id]['present'];
                           }
                           
                           $emp_present_value_total_perticuler += $emp_present_count;
                           $emp_present_value_total += $emp_present_count;
                           
                           $des_name_arr[]=$des_val->name;
                           $emp_present_value_arr[]=$emp_present_count;

                              if ($emp_present_count !== 0) {
                                 // If any value is not equal to 0, set the flag to false the loop
                                 $manallValueszero = false;
                                 //break;
                             }

                           }

                           if ($manallValueszero) {
                               $manallValueszero_tot += 1;
                           }
                     }

                     $vehallValueszero_tot = 0;
                     if(!empty($vehicle_types)){

                       $type_name_arr = [];
                       $veh_present_value_arr = [];
                       $vehallValueszero = true;
                       $veh_present_value_total_perticuler = 0; 
                       foreach ($vehicle_types as $type) {
                             
                             $vehicle_present_count = 0; 

                             if(isset($daily_vehicle_att[$pakage->id][$type->id]) && !empty($daily_vehicle_att[$pakage->id][$type->id])){
                              
                               $vehicle_present_count = $daily_vehicle_att[$pakage->id][$type->id];

                              }
                              
                              $veh_present_value_total_perticuler += $vehicle_present_count;
                              $veh_present_value_total += $vehicle_present_count;
                              $type_name_arr[]=$type->type;
                              $veh_present_value_arr[]=$vehicle_present_count;

                              if ($vehicle_present_count !== 0) {
                                 // If any value is not equal to 0, set the flag to false the loop
                                 $vehallValueszero = false;
                                 //break;
                              }

                        }

                           if ($vehallValueszero) {
                                 $vehallValueszero_tot += 1;
                           }
                     }

                     //$veh_present_value_total_perticuler;

                     ?>
                       
                        <div class="col-md-6">
                           <a href="<?php echo e(url('/user_dashboard',$pakage->id)); ?>">
                           <div class="card-body mt-1" style="background: #FCFFFC 0% 0% no-repeat padding-box;box-shadow: 0px 4px 24px #22292F1A;border-radius: 10px;opacity: 1;">
                               <h4 style="display: flex;justify-content: center;"><?php echo $pakage->Pakage_name ?></h4>
                              <div class="row" style="display: flex;justify-content: space-around;">
                                 <div>

                                   <?php if($manallValueszero_tot !=1){ ?>
                                    <canvas id="man_<?php echo $pakage->id; ?>" style="width:100%;max-width:600px"></canvas>
                                    <?php }else{ ?>
                                   <div style="height: 150px;display: flex;align-items: center;justify-content: center;">
                                     <h6 style="display: flex;justify-content: center; margin-top: 10px;">Record Not Found!</h6>
                                   </div>
                                    <?php } ?>
                                    <h6 style="display: flex;justify-content: center; margin-top: 10px;">Manpower Attendance ( <?php echo $emp_present_value_total_perticuler; ?> )</h6>
                                 </div>
                                 <div>
                                    <?php if($vehallValueszero_tot !=1){ ?>
                                    <canvas id="vehicl_<?php echo $pakage->id; ?>" style="width:100%;max-width:600px"></canvas>
                                    <?php }else{ ?>
                                       <div style="height: 150px;display: flex;align-items: center;justify-content: center;">
                                     <h6 style="display: flex;justify-content: center; margin-top: 10px;">Record Not Found!</h6>
                                   </div>
                                    <?php } ?>
                                    <h6 style="display: flex;justify-content: center; margin-top: 10px;">Vehicle Attendance ( <?php echo $veh_present_value_total_perticuler; ?> )</h6>
                                 </div>
                              </div>
                              <div class="card-body mt-1" style="background: #A2D4FF19 0% 0% no-repeat padding-box;box-shadow: 0px 4px 24px #22292F1A;border: 1px solid #D7E5F0;border-radius: 5px;opacity: 1;">
                                 <div style="display: flex;justify-content: space-between;">
                                    <h4>Route Coverage</h4>
                                    <h4><?php echo $area_coverage[$pakage->id] ?>%</h4>
                                 </div>
                                 <div style="color: #000;background-color: #f1f1f1!important;border-radius: 16px;display: flex;">
                                    <div style="width:<?php echo $area_coverage[$pakage->id] ?>%;color: #fff!important;background-color: #28c76f!important; padding: 0.01em 16px;border-radius: 16px;">&nbsp;</div><img src="<?php echo e(asset('assets/img/road-cleaning-machine.png')); ?>" style="width: 24px;    margin-left: -15px;">
                                 </div>
                              </div>
                              <div style="display: flex;gap: 10px;">
                                 <div class="card-body mt-1" style="background: #A2D4FF19 0% 0% no-repeat padding-box;box-shadow: 0px 4px 24px #22292F1A;border: 1px solid #D7E5F0;border-radius: 5px;opacity: 1;">
                                    <div class="d-flex flex-row">
                                       <div class="" style="height: fit-content;">
                                             
                                                <img src="<?php echo e(asset('assets/img/distance.png')); ?>" alt="a" style="width: 50px;">
                                             
                                       </div>
                                       <div class="my-auto px-4">
                                            <h4 class="fw-bolder mb-0">Travel Distance</h4>
                                            <h4 class="fw-bolder mb-1"><?php echo $travel_dis[$pakage->id].' KM'; ?></h4>
                                       </div>
                                    </div>
                                 </div>
                                 <div class="card-body mt-1" style="background: #A2D4FF19 0% 0% no-repeat padding-box;box-shadow: 0px 4px 24px #22292F1A;border: 1px solid #D7E5F0;border-radius: 5px;opacity: 1;">
                                    <div class="d-flex flex-row">
                                       <div class="" style="height: fit-content;">
                                             
                                                <img src="<?php echo e(asset('assets/img/time.png')); ?>" alt="a" style="width: 50px;">
                                             
                                       </div>
                                       <div class="my-auto px-4">
                                            <h4 class="fw-bolder mb-0">Time</h4>
                                            <h4 class="fw-bolder mb-1"><?php echo gmdate('H:i:s', $total_time[$pakage->id]) ?></h4>
                                       </div>
                                    </div>
                                 </div>
                              </div> 
                           </div>
                           </a>
                        </div>
                     <?php
                     
                     

                     $emp_des_name_arr1 = json_encode($des_name_arr);
                     $emp_present_value_arr1 = json_encode($emp_present_value_arr);

                     $veh_type_name_arr1 = json_encode($type_name_arr);
                     $veh_present_value_arr1 = json_encode($veh_present_value_arr);

                     //echo '<pre>';print_r($emp_present_value_arr);

                     echo '<script>
                            
                              var xValues1 = '.$emp_des_name_arr1.';
                              var yValues1 = '.$emp_present_value_arr1.';
                              var barColors1 = [
                                "#7367f0",
                                "#ff9f43",
                                "#ea5455",
                                "#28c76f",
                                "#00cfe8"
                              ];

                              new Chart("man_' . $pakage->id . '", {
                                type: "pie",
                                data: {
                                  labels: xValues1,
                                  datasets: [{
                                    backgroundColor: barColors1,
                                    data: yValues1
                                  }]
                                },
                                options:{
                                    legend: {
                                      display: true,
                                      position:"right",
                                    }
                                }
                              });

                              var xValues2 = '.$veh_type_name_arr1.';
                              var yValues2 = '.$veh_present_value_arr1.';
                              var barColors2 = [
                                "#7367f0",
                                "#ff9f43",
                                "#ea5455",
                                "#28c76f",
                                "#00cfe8"
                              ];

                              new Chart("vehicl_' . $pakage->id . '", {
                                type: "pie",
                                data: {
                                  labels: xValues2,
                                  datasets: [{
                                    backgroundColor: barColors2,
                                    data: yValues2
                                  }]
                                },
                                options:{
                                    legend: {
                                      display: true,
                                      position:"right",
                                    }
                                  
                                }
                              });
                           </script>';
                        } 
                    }
                       ?>
                  </div>
              </div>
         </div>

        
      </section>



   <link rel="stylesheet" href="//code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
   <script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
   <script src=<?php echo e(asset('app-assets/js/scripts/extensions/ext-component-blockui.js')); ?>></script>
   <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
   <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>






<script>
   $('#emp_present_id').text('<?php echo $emp_present_value_total; ?>');
   $('#veh_present_id').text('<?php echo $veh_present_value_total; ?>');
   $('#area_coverage_id').text('<?php echo ($area_coverage_divide)? $area_coverage_total/$area_coverage_divide:0; ?> %');
   $('#travel_distance_id').text('<?php echo $travel_dis_total; ?> KM');
   $('#total_time_id').text('<?php echo gmdate('H:i:s',$total_time_all); ?>');

   $("#text_date").datepicker({
        changeMonth: true,
        changeYear: true,
        dateFormat: 'dd-mm-yy'
    });

   function current_date_change_fun(){

       var current_date = $('#text_date').val();
   
       $.ajax({
              url: "<?php echo e(url('/get_to_change_current_date')); ?> ",
              type: "post",
              data:{"_token": "<?php echo e(csrf_token()); ?>","current_date":current_date},
              success: function(response){
                  location.reload();
              },
              error: function(){                 
                 alert("Error while request..");
              }
           }); 
      
   }
</script>

     
<?php $__env->stopSection(); ?>



<?php echo $__env->make('layout.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/pcmcmechanicalsw/public_html/ncap.pcmcmechanicalsweeper.com/resources/views/home/admin_dashboard.blade.php ENDPATH**/ ?>