<?php $__env->startSection('title','Payable Amount Report'); ?>

<!-- Dashboard Ecommerce start -->
<?php $__env->startSection('content'); ?>
<section>
    <div class="content-body">
        <!-- Bordered table start -->
        <div class="row" id="table-bordered">
           <div class="col-12">
              <div class="card">
                 <div class="card-header w-100" >
                    <div class="content-header-left">
                       <div class="row breadcrumbs-top">
                          <div class="col-sm-12">
                             <h2 class="content-header-title float-left mb-0">Payable Amount Report List</h2>
                          </div>
                       </div>
                    </div>
                    <div class="d-flex justify-content-end breadcrumb-wrapper">
                       <nav aria-label="breadcrumb">
                          <ol class="breadcrumb mr-1">
                             <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                             <li class="breadcrumb-item">Payable Amount Report</li>
                             <li class="breadcrumb-item active" aria-current="page">Payable Amount Report List</li>
                          </ol>
                       </nav>
                    </div>
                 </div>
              </div>
           </div>
        </div>
        <!-- Bordered table end -->
    </div>
        <?php if($message = Session::get('success')): ?>
            <div class="demo-spacing-0 mb-1">
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <div class="alert-body">
                        <i class="fa fa-check-circle" style="font-size:16px;" aria-hidden="true"></i>
                            <?php echo e($message); ?>

                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
        <?php endif; ?>

    <div class="content-body">
        <!-- Bordered table start -->
        <div class="row" id="table-bordered">
            <div class="col-12">
                <div class="card">
                    <form class="dt_adv_search" action="<?php echo e(url('/vehicle_tracking_reports/payable_amount_report')); ?>" method="POST">
                        <?php echo csrf_field(); ?>
                        <div class="card-header w-100">
                            <div class="row w-100">
                                <div class="col-sm-8">
                                    <div class="row">

                                        <div class="col-sm-3">
                                            <div class="form-group m-0">
                                            <input type="text" id="txt_from_date" class="form-control flatpickr-basic" name="txt_from_date" placeholder="Start Date" value="<?php echo session('search_from_date'); ?>"/>
                                            </div>
                                            <h5><small class="text-danger" id="txt_from_date_err"></small></h5>
                                        </div>

                                        <div class="col-sm-3">
                                            <div class="form-group m-0">
                                            <input type="text" id="txt_to_date" class="form-control flatpickr-basic" name="txt_to_date" placeholder="End Date" value="<?php echo session('search_to_date'); ?>"/>
                                            </div>
                                            <h5><small class="text-danger" id="txt_to_date_err"></small></h5>
                                        </div>
                                        
                                        <div class="col-sm-3">
                                            <div class="form-group m-0">
                                            <select name="vehicle_id" id="vehicle_id" class="select2 form-select">
                                                <option value="">--- Select Vehicle ---</option>
                                                <?php
                                                  if(!empty($aVehicleNumber)){
                                                  
                                                  foreach ($aVehicleNumber as $value) {
                                                      
                                                  $selected = ($value->id == session('search_vehicle_id'))? 'selected':'';
                                                ?>
                                                <option value="<?php echo $value->id; ?>" <?php echo $selected; ?>><?php echo $value->vehicle_number; ?></option>
                                                <?php
                                                   }
                                                  }
                                                ?>
                                            </select>
                                            </div>
                                        </div>

                                        <div class="col-sm-3">
                                            <div class="form-group m-0">
                                            <select name="packege_id" id="packege_id" class="select2 form-select">
                                                <option value="">--- Select Package ---</option>
                                                <?php 
                                                  if(!empty($pakages)){
                                                  
                                                  foreach ($pakages as $val) {
                                                   
                                                   $selected = ($val->id == session('search_packege_id'))? 'selected':'';   
                                                ?>
                                                <option value="<?php echo $val->id ?>" <?php echo $selected; ?>><?php echo $val->Pakage_name ?></option>
                                                <?php
                                                   }
                                                  }
                                                 ?>
                                            </select>
                                            </div>
                                        </div>

                                        <div class="col-sm-3">
                                            <div class="form-group m-0">
                                            <select name="sub_type_id" id="sub_type_id" class="select2 form-select">
                                                <option value="">--- Select Type ---</option>
                                                <?php
                                                     
                                                    if($aTypes){  
                                                    foreach ($aTypes as $val) {
                                                        if(!empty($val->name)){

                                                      $selected = ($val->id == session('search_sub_type_id'))? 'selected':'';
                                                     ?>
                                                <option value="<?php echo $val->id ?>" <?php echo $selected; ?>><?php echo $val->name ?></option>
                                                <?php
                                                       }
                                                      }
                                                    }
                                                ?> 
                                            </select>
                                            </div>
                                        </div>

                                        <div class= "col-sm-3">
                                           
                                           <button type="submit" name="btn_search" class="btn btn-primary" onclick="return validation();">Search</button>
                                            
                                           <?php if(session('search_from_date') || session('search_to_date') || session('search_vehicle_id') || session('search_packege_id') || session('search_sub_type_id')): ?>
                                              <button type="submit" name="btn_reset" class="btn btn-outline-primary"><i data-feather="rotate-ccw" class="me-25"></i> Clear</button>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div style="float: right;">
                                        <a href="<?php echo e(url('vehicle_tracking_reports/payable_amount_report_excel')); ?>" 
                                        class="btn btn-outline-primary"><i class='fa fa-download' arial-hidden="true"></i> Excel</a>
                                     
                                        <a href="<?php echo e(url('/vehicle_tracking_reports')); ?>" 
                                        class="btn btn-outline-primary"><span>Back</span></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                <!-- index.blade.php -->

<div class="table-responsive">
    <table class="table table-striped table-bordered">
        <thead>
            <tr>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center">SR.NO</th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center">Vehicle Number</th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center">Vehicle status</th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center">Absent Penalty</th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center">Late By Minut</th>
                <th colspan="3" style="background-color:#29204f;color: #ffffff;" class="text-center">Work start time</th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center">Work end Time </th>
                <th colspan="3" style="background-color:#29204f;color: #ffffff;" class="text-center">Distance Travelled</th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center">Total working Hours</th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center">Less work Penalty</th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center">Total Checkpoints</th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center">No. Of trips</th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center">Achived points</th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center">Route coverage Percentage</th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center">Route coverage Penalty</th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center">Total Penalty</th>
            </tr>
            <tr>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center"></th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center"></th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center"></th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center"></th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center"></th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center">Default</th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center">Actual</th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center">Penalty</th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center"></th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center">default</th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center">actual</th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center">Penalty</th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center"></th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center"></th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center"></th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center"></th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center"></th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center"></th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center"></th>
                <th style="background-color:#29204f;color: #ffffff;" class="text-center"></th>
            </tr>
        </thead>
        <tbody class="text-left">
            
            <?php 
              $i_no = 0;
              
              if(!empty($records)){

                foreach ($records as $val) {
                
                $i_no++;   

                
                //echo '<pre>';print_r($val->pockets);

                $work_start_time_default = config('custom.work_start_time_default');
                $let_by_minut = config('custom.let_by_minut');
                $less_working_penalty_default = config('custom.less_working_penalty');
                $r_coverage_penalty_def = config('custom.route_coverage_penalty_default');
                
                $pocket_in_time = 0;
                $pocket_out_time = 0;
                $total_distance = 0;
                $total_actual_distance = 0;
                $total_time_work = 0;
                $total_checkpoint = 0;
                $total_passes = 0;
                $covered_point_passes = 0;
                $route_covered_per_val = 0;
                $allValuesOne = 0;
                if(!empty($val->pockets) && $val->pockets != 'null'){

                   $pocket_data = json_decode($val->pockets,true);

                    $pocket_in = reset($pocket_data);
                    $pocket_in_time = $pocket_in['pocket_in'];
                    $pocket_out = end($pocket_data);
                    $pocket_out_time = $pocket_out['pocket_out'];

                    foreach ($pocket_data as $pocket_val) {


                        $allValuesOne += $pocket_val['is_present'];

                        $default_distance = (isset($pocket_val['default_distance']))? round($pocket_val['default_distance'],2):0;

                        $total_distance += $default_distance;

                        $done_distance = ($pocket_val['distance_travelled'])?$pocket_val['distance_travelled']:0;

                        $total_actual_distance += $done_distance;

                        $total_time_work += $pocket_val['pocket_total_time'];

                        $total_checkpoint += count($pocket_val['checkpoints']);

                        $total_passes += $pocket_val['passes'];

                        $covered_point_passes += $pocket_val['current_pass'];
                    }
                    
                    if($total_passes){
                    $route_covered_per_val = ($covered_point_passes / $total_passes)*100;
                    }

                   
                }
                   

                    $vehicle_status = 'Absent';

                    if ($allValuesOne > 0 ) {
                       
                       $vehicle_status = 'Present';
                    }
                 
                  

                    if($val->type != 0){
                     $work_start_time_default =  $work_start_time_default[$val->type]; 
                    }else{
                        $work_start_time_default = '00:00:00';
                    }


                    $pocket_in_time_tot = ($pocket_in_time)?date('H:i:s',$pocket_in_time):'00:00:00';


                    $actual_distance = round($total_actual_distance/1000,2);

                    $status_absent_penalty = 0;
                
                    if($vehicle_status == 'Absent'){

                      $status_absent_penalty = 20;

                    }

                    // $work_start_time_penalty = 0;
                
                    // if($pocket_in_time_tot > $work_start_time_default){

                    //   $work_start_time_penalty = 30;

                    // }

                    $time_default = strtotime($work_start_time_default);
                    $in_time = strtotime($pocket_in_time_tot);
                    $mins = ($in_time - $time_default) / 60;

                    $work_start_time_penalty = 0;
                
                    if($mins > $let_by_minut){

                      $work_start_time_penalty = 30;

                    }

                    $distance_penalty = 0;
                
                    if($total_distance > $actual_distance){

                      $distance_penalty = 50;

                    }

                    $total_time = gmdate('H:i:s', $total_time_work);

                    $less_working_penalty =  strtotime($less_working_penalty_default) - strtotime($total_time);

                    $less_working_penalty2 =  gmdate('H:i:s', $less_working_penalty);
                    

                    $less_work_penalty = 0;
                    if($less_working_penalty2 < $less_working_penalty_default && $less_working_penalty2 != '00:00:00'){
                       
                       $less_work_penalty = 60;
                    }

                    $route_covered_per = round($route_covered_per_val,2);

                    if($route_covered_per > 95){
                       
                       $route_coverage_penalty = $r_coverage_penalty_def['95_above'];
                    }
                    elseif($route_covered_per > 85 && $route_covered_per < 95){
                        
                        $route_coverage_penalty = $r_coverage_penalty_def['85_to_95'];
                    }
                    elseif($route_covered_per > 75 && $route_covered_per < 85){
                        
                        $route_coverage_penalty = $r_coverage_penalty_def['75_to_85'];
                    }else{

                        $route_coverage_penalty = $r_coverage_penalty_def['75_below'];
                    }


                    $total_penalty = $status_absent_penalty + $work_start_time_penalty + $distance_penalty + $less_work_penalty + $route_coverage_penalty;

            ?>    
                 
                <tr>
                    <td style="background-color:#10bcf15c" class="text-center"><?php echo $i_no; ?></td>
                    <td style="background-color:#10bcf15c" class="text-center"><?php echo $val->vehicle_number; ?></td>
                    <td style="background-color:#10bcf15c" class="text-center"><?php echo $vehicle_status; ?></td>
                    <td style="background-color:#10bcf15c" class="text-center"><?php echo $status_absent_penalty; ?></td>
                    <td style="background-color:#10bcf15c" class="text-center"><?php echo $let_by_minut; ?></td>
                    <td style="background-color:#10bcf15c" class="text-center"><?php echo $work_start_time_default;?></td>
                    <td style="background-color:#10bcf15c" class="text-center"><?php echo $pocket_in_time_tot; ?></td>
                    <td style="background-color:#10bcf15c" class="text-center"><?php echo $work_start_time_penalty; ?></td>
                    <td style="background-color:#10bcf15c" class="text-center"><?php echo ($pocket_out_time)?date('H:i:s A',$pocket_out_time):'00:00:00'; ?></td>
                    <td style="background-color:#10bcf15c" class="text-center"><?php echo $total_distance; ?></td>
                    <td style="background-color:#10bcf15c" class="text-center"><?php echo $actual_distance; ?></td>
                    <td style="background-color:#10bcf15c" class="text-center"><?php echo $distance_penalty; ?></td>
                    <td style="background-color:#10bcf15c" class="text-center"><?php echo $total_time; ?></td>
                    <td style="background-color:#10bcf15c" class="text-center"><?php echo $less_work_penalty; ?></td>
                    <td style="background-color:#10bcf15c" class="text-center"><?php echo $total_checkpoint; ?></td>
                    <td style="background-color:#10bcf15c" class="text-center"><?php echo $total_passes; ?></td>
                    <td style="background-color:#10bcf15c" class="text-center"><?php echo $covered_point_passes; ?></td>
                    <td style="background-color:#10bcf15c" class="text-center"><?php echo $route_covered_per.' %' ?></td>
                    <td style="background-color:#10bcf15c" class="text-center"><?php echo $route_coverage_penalty; ?></td>
                    <td style="background-color:#10bcf15c" class="text-center"><?php echo $total_penalty; ?></td>
                </tr>
            <?php 
                }
              }else{
            ?>          
            <tr>
                <td colspan="20" style="text-align:center; color:red;">No Record Found</td>
            </tr>
            <?php 
                }
            ?> 
        </tbody>
    </table>
</div>

                </div>

            </div>
        </div>
        <!-- Bordered table end -->
    </div>
</section>

<script>
    function validation(){

        if ($('#txt_from_date').val() != "" && $('#txt_to_date').val() != ""){

            var from_date = $('#txt_from_date').val().split("-");

            var y_year  = from_date[2];
            var y_month = from_date[1]
            var y_day   = from_date[0];

            var txt_from_date = y_year+''+y_month+''+y_day;

            var to_date = $('#txt_to_date').val().split("-");

            var t_year  = to_date[2];
            var t_month = to_date[1]
            var t_day   = to_date[0];

            var txt_to_date = t_year+''+t_month+''+t_day;

            if(txt_to_date < txt_from_date){
                 
                $('#txt_to_date').parent().addClass('has-error');
                $('#txt_to_date_err').html('Please End Date Greater than Equal to Start Date.');
                $('#txt_to_date').focus();
                $('#txt_to_date').change(function () {
                $('#txt_to_date').parent().removeClass('has-error');
                $('#txt_to_date_err').html('');
               });
               return false;
            }
            
        }
    }
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/pcmcmechanicalsw/public_html/ncap.pcmcmechanicalsweeper.com/resources/views/reports/payable_amount_report.blade.php ENDPATH**/ ?>